org.jbpm.runtime.manager.impl.deploy

## Class DeploymentDescriptorManager

- java.lang.Object
- - org.jbpm.runtime.manager.impl.deploy.DeploymentDescriptorManager

-     public class DeploymentDescriptorManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeploymentDescriptorManager()`
    `DeploymentDescriptorManager(String defaultPU)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `collectDeploymentDescriptors(org.drools.compiler.kie.builder.impl.InternalKieModule kmodule, List<org.kie.internal.runtime.conf.DeploymentDescriptor> descriptorHierarchy)`
    `org.kie.internal.runtime.conf.DeploymentDescriptor` | `getDefaultDescriptor()`
    `protected URL` | `getDefaultdescriptorlocation()`
    `List<org.kie.internal.runtime.conf.DeploymentDescriptor>` | `getDeploymentDescriptorHierarchy(org.kie.api.runtime.KieContainer kieContainer)`
    `protected org.kie.internal.runtime.conf.DeploymentDescriptor` | `getDescriptorFromKModule(org.drools.compiler.kie.builder.impl.InternalKieModule kmodule)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentDescriptorManager

          public DeploymentDescriptorManager()

    - #### DeploymentDescriptorManager

          public DeploymentDescriptorManager(String defaultPU)

  - ### Method Detail

    - #### getDefaultDescriptor

          public org.kie.internal.runtime.conf.DeploymentDescriptor getDefaultDescriptor()

    - #### getDeploymentDescriptorHierarchy

          public List<org.kie.internal.runtime.conf.DeploymentDescriptor> getDeploymentDescriptorHierarchy(org.kie.api.runtime.KieContainer kieContainer)

    - #### getDefaultdescriptorlocation

          protected URL getDefaultdescriptorlocation()

    - #### collectDeploymentDescriptors

          protected void collectDeploymentDescriptors(org.drools.compiler.kie.builder.impl.InternalKieModule kmodule,
                                                      List<org.kie.internal.runtime.conf.DeploymentDescriptor> descriptorHierarchy)

    - #### getDescriptorFromKModule

          protected org.kie.internal.runtime.conf.DeploymentDescriptor getDescriptorFromKModule(org.drools.compiler.kie.builder.impl.InternalKieModule kmodule)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.